package com.pj.project.re_mini_user_person_filing;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: re_mini_user_person_filing -- 微信端用户与人员备案中间表
 * @author qzyReal 
 */
@Service
public class ReMiniUserPersonFilingService extends ServiceImpl<ReMiniUserPersonFilingMapper, ReMiniUserPersonFiling> implements IService<ReMiniUserPersonFiling>{

	/** 底层 Mapper 对象 */
	@Autowired
	ReMiniUserPersonFilingMapper reMiniUserPersonFilingMapper;


	/** 增 */
	public void add(ReMiniUserPersonFiling r){
	this.save( r);
	}

	/** 删 */
	public void delete(Long id){
	this.removeById(id);
	}

	/** 改 */
	public void update(ReMiniUserPersonFiling r){
	this.updateById(r);
	}

	/** 查 */
	public ReMiniUserPersonFiling getById(Long id){
	return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	public List<ReMiniUserPersonFiling> getList(SoMap so) {
		return reMiniUserPersonFilingMapper.getList(so);	
	}
	

}
