package com.pj.project.tb_person_filing.task;

import cn.hutool.extra.spring.SpringUtil;
import com.pj.current.task.Task;
import com.pj.project.tb_person_filing.TbPersonFilingService;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DelayIsuued extends Task {
    private Integer id;
    private String sn;

    public DelayIsuued(String taskId, long delayInMilliseconds,Integer id,String sn) {
        super(taskId, delayInMilliseconds);
        this.id=id;
        this.sn=sn;
    }

    @Override
    public void run() {
        log.info("延迟下发人脸：{},{}",id,sn);
        TbPersonFilingService tbPersonFilingService= SpringUtil.getBean(TbPersonFilingService.class);
        tbPersonFilingService.issuedNotTerminal(id,sn);
    }
}
